# contact me

- [elizabeth.hunt@simponic.xyz](mailto:elizabeth.hunt@simponic.xyz)
- [linkedin](https://linkedin.com/in/simponic)
- [github (deprecated)](https://github.com/simponic/)
- "simponic" on [discord](https://discord.com)

# top 11 codes watchmojo ign 10/10

the vast majority of code i write is not helpful to society. nevertheless here are the ones i might show to an employer to show how helpful i could be to the profit generating machines.

## cheSSH

certainly my most complex side project.

![chessh](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/chessh.png)

[cheSSH](https://git.simponic.xyz/simponic/chessh) is a horizontally scalable game of chess over SSH with lots and lots of features. it was initially deployed on a cluster of 5 raspberry pi's behind a NAT.

## cminus

![cminus](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/cminus.png)

[cminus](https://git.simponic.xyz/simponic/cminus) is a compiler for a subset of C targeting the MIPS architecture as my tryhard magnum opus for CS5300 - Compiler Design (fav class btw).

## tabloid closures

![closure](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/tabloid-fake-closure.png)

[tabloid-fake-closure](https://static.simponic.xyz/tabloid-fake-closure/static/) is an implementation of Closures in the esoteric "Tabloid" language, with select Data Structure and Algorithms implementations, as well as Functional Programming idioms, from scratch by the foundation provided by McCartney's Cons Cell.

## godel explorer

![closure](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/godel-explorer.png)

[godel-explorer](https://static.simponic.xyz/godel/) is a compiler from the Lambda Calculus-inspired L Programming Language to JavaScript and [Godel numbers](https://plato.stanford.edu/entries/goedel-incompleteness/sup1.html) using the amazingly simple [PEG](https://github.com/pegjs/pegjs) parser generator.

## turing machine

![closure](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/state-system.png)

[simponic's state system](https://static.simponic.xyz/turing-machine) is a beautifully animated turing tape visualizer.

## gol

(not to be confused with gul haha) [gol](https://git.simponic.xyz/simponic/gol) is a GPU-accelerated and multiprocessing game of life implementation with timing studies on several input sizes.

![gol](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/gol.png)

small side note: i had the worst experience of my life (worse than the time my apartment got broken into while i was in it) while writing this! don't ask me about it though lest i spiral :3

## aggiecanvas

![aggiecanvas](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/aggiecanvas.png)

[aggiecanvas](https://github.com/USUFSLC/aggiecanvas) is a full-stack typesafe (via OpenAPIv3) r/place clone with binary snapshot support, a bot implementation, and integrated with [aggieauth](https://github.com/USUFSLC/aggie-auth).

## lizfcm

![lizfcm](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/lizfcm.png)

[lizfcm](https://git.simponic.xyz/simponic/lizfcm) is a unit-tested static library in "immutable" C for computational mathematics. [read the software manual](https://git.simponic.xyz/simponic/lizfcm/src/branch/main/doc/software_manual.pdf) for my tryhard MATH 4610 finale.

## jumpstorm

like many devs i made an engine, and then put the game on hold indefinitely hahahah.

![jumpstorm](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/jumpstorm.png)

[jumpstorm](https://git.simponic.xyz/simponic/jumpstorm) is a realtime engine with client prediction (as good as i could get over WebSockets) for a doodle-jump like game using ECS from scratch to explore Bun.

## linux.usu.edu

![linux.usu.edu](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/linux.usu.edu.png)

[linux.usu.edu](https://github.com/usufslc/linux.usu.edu) is a full stack web app in Common Lisp with an almost posix-compliant shell in JS (/s), a multi-user RTMP stream handler for meetings, and custom authz/authn with contexts.

## lispruns

![lispruns](https://git.simponic.xyz/simponic/.profile/raw/branch/main/img/speedruntimer.png)

[lispruns](https://git.simponic.xyz/simponic/speedrun-timer) is a real TUI speedrun timer in Common Lisp.

## infra and others

obviously you're on [git.simponic.xyz](https://git.simponic.xyz/simponic), so you'll know i own this.

but all my "homelab" infra; my mail server, dns servers, web servers, etc. are all deployed [with ansible](https://git.simponic.xyz/simponic/infra). including the site you're on!

there are [a lot of other projects you can explore](https://git.simponic.xyz/simponic?tab=repositories).

## WIPS

[the abstraction engine](https://git.simponic.xyz/simponic/the-abstraction-engine)
[cps interpreter](https://git.simponic.xyz/simponic/cps-interpreter)
